Package org.apache.sling.testing.junit.rules.instance.util

## Class ConfigurationPool

- java.lang.Object
- - org.apache.sling.testing.junit.rules.instance.util.ConfigurationPool

    public class ConfigurationPool
    extends Object

### Constructor Summary

Constructors
`ConfigurationPool()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `addAndTakeConfiguration​(org.junit.runner.Description description, org.apache.sling.testing.clients.instance.InstanceConfiguration configuration)`
`List<org.apache.sling.testing.clients.instance.InstanceConfiguration>` `getConfigurations()`
`boolean` `isTaken​(int configurationIndex)`
`void` `returnConfiguration​(org.junit.runner.Description description, int configurationIndex)`
`org.apache.sling.testing.clients.instance.InstanceConfiguration` `takeConfiguration​(org.junit.runner.Description description, int configurationIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationPool

    public ConfigurationPool()

### Method Detail

#### getConfigurations

    public List<org.apache.sling.testing.clients.instance.InstanceConfiguration> getConfigurations()

#### isTaken

    public boolean isTaken​(int configurationIndex)

#### takeConfiguration

    public org.apache.sling.testing.clients.instance.InstanceConfiguration takeConfiguration​(org.junit.runner.Description description,
                                                                                             int configurationIndex)

#### returnConfiguration

    public void returnConfiguration​(org.junit.runner.Description description,
                                    int configurationIndex)

#### addAndTakeConfiguration

    public Integer addAndTakeConfiguration​(org.junit.runner.Description description,
                                           org.apache.sling.testing.clients.instance.InstanceConfiguration configuration)